complexType "EquityOption"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 15 elements
Defined: | globally in fpml-eqd-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, optionType?, equityEffectiveDate?, underlyer, notional?, equityExercise, strike, spotPrice?, numberOfOptions?, optionEntitlement?, equityPremium?
</...>

Content Model Elements (15):

  embeddedOptionType,
  equityEffectiveDate,
  equityExercise (defined in EquityDerivativeBase complexType),
  equityPremium (defined in EquityOption complexType),
  notional (defined in EquityDerivativeBase complexType),
  numberOfOptions (defined in EquityOption complexType),
  optionEntitlement (defined in EquityOption complexType),
  optionType (defined in EquityDerivativeBase complexType),
  primaryAssetClass (defined in Product.model group),
  productId,
  productType (defined in Product.model group),
  secondaryAssetClass,
  spotPrice (defined in EquityOption complexType),
  strike (defined in EquityOption complexType),
  underlyer (defined in EquityDerivativeBase complexType)

Annotation
A type for defining equity options.
Type Definition Detail

Type Derivation Tree Product (extension) EquityDerivativeBase (extension) EquityDerivativeLongFormBase (extension) EquityOption

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="EquityOption"> <xsd:complexContent> <xsd:extension base="EquityDerivativeLongFormBase"> <xsd:sequence> <xsd:element name="strike" type="EquityStrike"/> <xsd:element minOccurs="0" name="spotPrice" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="numberOfOptions" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/15)
equityPremium

  Type: | EquityPremium, complex content

  The equity option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"/>

numberOfOptions

  Type: | NonNegativeDecimal, simple content

  The number of options comprised in the option transaction.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfOptions" type="NonNegativeDecimal"/>

optionEntitlement

  Type: | PositiveDecimal, simple content

  The number of shares per option comprised in the option transaction.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"/>

spotPrice

  Type: | NonNegativeDecimal, simple content

  The price per share, index or basket observed on the trade or effective date.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotPrice" type="NonNegativeDecimal"/>

strike

  Type: | EquityStrike, complex content

  Defines whether it is a price or level at which the option has been, or will be, struck.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="strike" type="EquityStrike"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.